<?php
/**
 * Includes the inline css
 * 
 * @package The Styled Blog
 * @since 1.0.0
 * 
 */

// theme color and hover color
$the_styled_blog_theme_color	= get_theme_mod( 'the_styled_blog_theme_color');
$the_styled_blog_theme_hover_color	= get_theme_mod( 'the_styled_blog_theme_hover_color', '#717171' );

//page background color
$the_styled_blog_bk_color = get_theme_mod('background_color');
if($the_styled_blog_bk_color ) {
	echo "body .bmm-block-categories-collection--layout-one h5 span.section-title-inner, body .bmm-block-categories-collection--layout-one .categories-wrap .slick-arrow  { background-color: #" .esc_attr( $the_styled_blog_bk_color ). "; }";
}

//archive dropcap enable disable
$archive_dropcap_option = get_theme_mod('archive_dropcap_option', true);
if( $archive_dropcap_option ) :
	echo".primary-section .archive-block .entry-content:first-letter,
		 .primary-section .wp-block-group__inner-container p:first-letter {
			font-size: 2.8rem;
			float: left;
			padding-right: 5px;
	    line-height: 0.65;
	    margin: 0.1em 0.1em 0.2em 0;
		}\n";
endif;

/* theme color **/
if($the_styled_blog_theme_color):
	echo ":root {
		--theme-color: ".esc_attr($the_styled_blog_theme_color).";
	}";
	echo ".blog-ocean__slider.layout-one .card__content-title span { color: ".esc_attr($the_styled_blog_theme_color) .";}";
	echo ".blog-ocean__slider.layout-one .slick-arrow.slick-next:before { background-color: ".esc_attr($the_styled_blog_theme_color) .";}";
endif;


$the_styled_blog_widget_title_color = get_theme_mod( 'the_styled_blog_widget_title_color', '#000000' );
echo ".widget.widget_block h2.the-styled-blog-widget-title span, h2.the-styled-blog-widget-title span { color: " .esc_attr( $the_styled_blog_widget_title_color ). "; background-color:" .esc_attr( $the_styled_blog_theme_color ). " }\n";
echo ".widget.widget_block h2.the-styled-blog-widget-title span::after, h2.the-styled-blog-widget-title span::after { border-color: transparent transparent transparent " .esc_attr( $the_styled_blog_theme_color ). " }\n";
echo ".widget.widget_block h2.the-styled-blog-widget-title, h2.the-styled-blog-widget-title { border-color: " .esc_attr( $the_styled_blog_theme_color ). " }\n";

echo ".post-card .card__content-title:hover, 
	.post-card .card__content .more-btn:hover, 
	.wp-block-latest-posts__list a:hover,
	.widget_the_styled_blog_posts_list_widget .post-card .bmm-post-title a:hover,
	.card__button a:hover
	 { color:" .esc_attr( $the_styled_blog_theme_hover_color ). " }\n";

echo "header .header-wrapper .header__icon-group a:hover { color: " .esc_attr( $the_styled_blog_theme_hover_color ). "}";
echo ".the-styled-blog-load-more:hover { background-color:" .esc_attr( $the_styled_blog_theme_hover_color ). " }\n";



// footer three column section
$footer_three_column_option = get_theme_mod( 'footer_three_column_option', 'all' );
if( $footer_three_column_option != 'hide' ) :
	// footer background color
	$footer_three_column_bg_color = get_theme_mod( 'footer_three_column_background_color', array( 'type' => 'gradient', 'solid'=> null, 'gradient' => 'linear-gradient(135deg,rgb(0,0,0) 0%,rgb(118,118,118) 100%)' ));

	$footer_three_column_bg_color_actual = isset( $footer_three_column_bg_color[$footer_three_column_bg_color['type']] ) ? $footer_three_column_bg_color[$footer_three_column_bg_color['type']] : false;
	if( $footer_three_column_bg_color_actual ) {
		echo "body #the-styled-blog-footer-three-column-section { background: " .esc_attr( $footer_three_column_bg_color_actual )."}\n";
	}

	// footer font color
	$footer_three_column_color = get_theme_mod( 'footer_three_column_font_color');
	if($footer_three_column_color){
		if ( isset( $footer_three_column_color['color'])){
			echo "body #the-styled-blog-footer-three-column-section a, body #the-styled-blog-footer-three-column-section h5, body #the-styled-blog-footer-three-column-section p {color: " .esc_attr( $footer_three_column_color['color'] ). "!important;}\n";
		}
		if ( isset( $footer_three_column_color['hover']) ){
			echo "body #the-styled-blog-footer-three-column-section a:hover {color: " .esc_attr( $footer_three_column_color['hover'] ). "!important}\n";
		}
	}

	//footer padding
	$footer_three_column_padding = get_theme_mod( 'footer_three_column_padding', array( 'desktop'   => array( 'top'=>'50px', 'right'	=> '50px', 'bottom'	=> '50px', 'left'	=> '50px' ), 'tablet'   => array( 'top'=>'20px', 'right'	=> '20px', 'bottom'	=> '20px', 'left'	=> '20px' ), 'smartphone'   => array( 'top'=>'10px', 'right'	=> '10px', 'bottom'	=> '10px', 'left'	=> '10px' ) ) );
	echo "#the-styled-blog-footer-three-column-section { padding: " .esc_attr( $footer_three_column_padding['desktop']['top'] ). " " .esc_attr( $footer_three_column_padding['desktop']['right'] ). " " .esc_attr( $footer_three_column_padding['desktop']['bottom'] ). " " .esc_attr( $footer_three_column_padding['desktop']['left'] ). "}\n";
	
	echo "@media only screen and (max-width: 768px) { #the-styled-blog-footer-three-column-section { padding: " .esc_attr( $footer_three_column_padding['tablet']['top'] ). " " .esc_attr( $footer_three_column_padding['tablet']['right'] ). " " .esc_attr( $footer_three_column_padding['tablet']['bottom'] ). " " .esc_attr( $footer_three_column_padding['tablet']['left'] ). " } }\n";

	echo "@media only screen and (max-width: 320px) { #the-styled-blog-footer-three-column-section { padding: " .esc_attr( $footer_three_column_padding['smartphone']['top'] ). " " .esc_attr( $footer_three_column_padding['smartphone']['right'] ). " " .esc_attr( $footer_three_column_padding['smartphone']['bottom'] ). " " .esc_attr( $footer_three_column_padding['smartphone']['left'] ). " } }\n";
endif;

// Scroll to Top
if( get_theme_mod( 'scroll_to_top_option', true ) ) :
   // padding
   $scroll_to_top_padding = get_theme_mod('scroll_to_top_padding');
   if( $scroll_to_top_padding ) {
   		echo "body #the-styled-blog-scroll-to-top { padding: ".esc_attr($scroll_to_top_padding['desktop']['top'])." ".esc_attr($scroll_to_top_padding['desktop']['right'])." ". esc_attr($scroll_to_top_padding['desktop']['bottom']) ." ". esc_attr($scroll_to_top_padding['desktop']['left']) ."}";
   		echo "@media(max-width:769px){ body #the-styled-blog-scroll-to-top { padding: ".esc_attr($scroll_to_top_padding['tablet']['top'])." ".esc_attr($scroll_to_top_padding['tablet']['right'])." ". esc_attr($scroll_to_top_padding['tablet']['bottom']) ." ". esc_attr($scroll_to_top_padding['tablet']['left']) ."} }";
   		echo "@media(max-width:542px){  body #the-styled-blog-scroll-to-top { padding: ".esc_attr($scroll_to_top_padding['smartphone']['top'])." ".esc_attr($scroll_to_top_padding['smartphone']['right'])." ". esc_attr($scroll_to_top_padding['smartphone']['bottom']) ." ". esc_attr($scroll_to_top_padding['smartphone']['left']) ."}}";
   }

   //scroll to top show hide in responsive
   $scroll_to_top_responsive_display = get_theme_mod( 'scroll_to_top_responsive_display', false );
   if( ! $scroll_to_top_responsive_display ) echo "@media(max-width: 769px){ #the-styled-blog-scroll-to-top { display: none; } }\n";
   //scroll to top border
   $scroll_to_top_border = get_theme_mod( 'scroll_to_top_border');
   if( $scroll_to_top_border ) {
	echo "body #the-styled-blog-scroll-to-top { 
		border-width: " .esc_attr( $scroll_to_top_border['width'] ). "px;
		border-style: " .esc_attr( $scroll_to_top_border['type'] ). ";
		border-radius: " .esc_attr( $scroll_to_top_border['radius'] ). "%;
		border-color: " .esc_attr( $scroll_to_top_border['color'] ). ";
	}\n";
   }
endif;

 // header bg color
	$header_bottom_box_shadow = get_theme_mod( 'header_bottom_box_shadow', 'hide' );
	if($header_bottom_box_shadow == 'show') {
		echo "header.theme-default { box-shadow: 0px 5px 5px 0 rgb(48 68 78 / 50%);}\n";
	}
 	$header_background_styles = json_decode( get_theme_mod( 'header_background', json_encode(array(
            'type'  => 'gradient',
            'solid' => null,
            'gradient' => 'linear-gradient(135deg,rgb(254,254,254) 0%,rgba(160,85,230,0.2) 100%)',
            'image'     => array( 'media_id' => 0, 'media_url' => '' )
        ))
    ));
	if( $header_background_styles  ) {
		$background_type = isset( $header_background_styles->type ) ? $header_background_styles->type : false;
		switch( $background_type ) {
			case 'image'    : echo 'body #main-header, body header.theme-default { background: url("' . esc_url( $header_background_styles->image->media_url ). '");     background-size: cover;
				background-position: center center;
				background-repeat: no-repeat; }';
							break;
					default : echo "body #main-header, body header.theme-default { background: " . esc_attr( $header_background_styles->$background_type ). ";}\n";
		}
	}

 // header search toggle 
 $header_search_toggle_color_group = get_theme_mod( 'header_search_toggle_color_group', array( 'color'   => null, 'hover'   => null ) );
 if( isset( $header_search_toggle_color_group['color'] ) && $header_search_toggle_color_group['color'] ) echo ".header__icon-group #search { color: ". esc_attr($header_search_toggle_color_group['color']).";}\n";
 if( isset( $header_search_toggle_color_group['hover'] ) && $header_search_toggle_color_group['hover'] ) echo "header .header-wrapper .header__icon-group #search:hover { color: ". esc_attr($header_search_toggle_color_group['hover']).";}\n";

  // header search toggle 
 $header_social_color_group = get_theme_mod( 'header_social_color_group', array( 'color'   => null, 'hover'   => null ) );
 if( isset( $header_social_color_group['color'] ) && $header_social_color_group['color'] ) echo "body header .social a i { color: ". esc_attr($header_social_color_group['color']).";}\n";
 if( isset( $header_social_color_group['hover'] ) && $header_social_color_group['hover'] ) echo "body header .social a:hover i { color: ". esc_attr($header_social_color_group['hover']).";}\n";

 // header social icons styles
 $social_icons_padding_top = get_theme_mod( 'social_icons_padding_top', 2 );
 $social_icons_padding_right = get_theme_mod( 'social_icons_padding_right', 2 );
 $social_icons_padding_bottom = get_theme_mod( 'social_icons_padding_bottom', 2 );
 $social_icons_padding_left = get_theme_mod( 'social_icons_padding_left', 2 );

 $social_icons_color = get_theme_mod( 'social_icons_color', '#111111' );
 $social_icons_hover_color = get_theme_mod( 'social_icons_hover_color', '#101010' );

 $social_icons_bg_type = get_theme_mod('social_icons_bg_type', 'transparent');

 $social_icons_bg_color = get_theme_mod( 'social_icons_bg_color', '#f0f0f0' );
 $social_icons_hover_bg_color = get_theme_mod( 'social_icons_hover_bg_color', '#262626' );

 $social_icons_border = get_theme_mod( 'social_icons_border', 'hide' );
  if( $social_icons_border === 'show' ) :
	$social_icons_border_width = get_theme_mod( 'social_icons_border_width', '1' );
	$social_icons_border_radius = get_theme_mod( 'social_icons_border_radius', '0' ); 
	$social_icons_border_color = get_theme_mod( 'social_icons_border_color', '#000000' );
  endif;

  echo "header .social i { color: ". esc_attr($social_icons_color).";}";
  echo "header .social a:hover i { color: ". esc_attr($social_icons_hover_color).";}";

  if($social_icons_bg_type == 'solid'){
  	echo "header .social a { background-color: ". esc_attr($social_icons_bg_color).";}";

  	echo "header .social a:hover { background-color: ". esc_attr($social_icons_hover_bg_color).";}";
  }
  
  echo "header .social a { padding: " .esc_attr( $social_icons_padding_top ). "px " .esc_attr( $social_icons_padding_right ). "px " .esc_attr( $social_icons_padding_bottom ). "px " .esc_attr( $social_icons_padding_left ). "px; }\n";

  if( $social_icons_border === 'show' ) :
  	echo "header .social a{ border:".esc_attr( $social_icons_border_width )."px solid ". esc_attr($social_icons_border_color) ." }";
  	echo "header .social a{ border-radius: ".esc_attr( $social_icons_border_radius )."%}";
  endif;
  
 // header menu
 $header_menu_font_family = get_theme_mod( 'header_menu_font_family', 'Montserrat' );
 $header_menu_font_weight = get_theme_mod( 'header_menu_font_weight', 700 );
 $header_menu_font_style = get_theme_mod( 'header_menu_font_style', 'normal' );
 $header_menu_font_size = get_theme_mod( 'header_menu_font_size', 15 );
 $header_menu_line_height = get_theme_mod( 'header_menu_line_height', 16 );

 // site title typography
 $site_title_font_family = get_theme_mod( 'site_title_font_family', 'Marcellus' );
 $site_title_font_weight = get_theme_mod( 'site_title_font_weight', 600 );
 $site_title_font_style = get_theme_mod( 'site_title_font_style', 'normal' );
 $site_title_font_size = get_theme_mod( 'site_title_font_size', 32 );
 $site_title_line_height = get_theme_mod( 'site_title_line_height', 1 );

 echo "body header .site-title a{ font-family: " .esc_attr( $site_title_font_family ). ", serif; font-weight: " .esc_attr( $site_title_font_weight ). "; font-style: " .esc_attr( $site_title_font_style ). "; font-size: " .esc_attr( $site_title_font_size ). "px!important; line-height: " .esc_attr( $site_title_line_height ). "}";

 echo "header .header-wrapper nav ul>li>a { font-family: " .esc_attr( $header_menu_font_family ). "; font-weight: " .esc_attr( $header_menu_font_weight ). "; font-style: " .esc_attr( $header_menu_font_style ). "; font-size: " .esc_attr( $header_menu_font_size ). "px; line-height: " .esc_attr( $header_menu_line_height ). "px}";

 $the_styled_blog_container_width = get_theme_mod('the_styled_blog_global_container_width', 1126 );
 $the_styled_blog_sidebar_width = get_theme_mod('the_styled_blog_global_container_sidebar_width', 25);
 $the_styled_blog_primary_width = 100 - $the_styled_blog_sidebar_width;
 echo "@media (min-width: 1170px){ .container { max-width: " .esc_attr( $the_styled_blog_container_width ). "px} }\n";

echo "@media (min-width: 768px){ .secondary-section { max-width: " .esc_attr( $the_styled_blog_sidebar_width  ). "%;
		flex: 0 0 ". esc_attr( $the_styled_blog_sidebar_width  ) ."%;
	} .primary-section { max-width: " .esc_attr( $the_styled_blog_primary_width ). "%; flex: 0 0 ". esc_attr( $the_styled_blog_primary_width  ) ."%;} }\n";

// Header main menu
$header_menu_hover_effect = get_theme_mod( 'header_menu_hover_effect', 'none' ); // menu hover effect

if( $header_menu_hover_effect == 'none' ) echo "header .header-wrapper nav ul>li>a:hover:after { left: -100%; }\n";

if( $header_menu_hover_effect == 'default' ) echo "header .header-wrapper nav ul > li.current-menu-item > a:after {left: 0;}\n";

// header menu font color
$header_menu_font_color = get_theme_mod( 'header_menu_font_color');
if( $header_menu_font_color ) :
	if($header_menu_font_color['color']){
		echo "header .header-wrapper nav ul>li>a, header .header-wrapper nav ul>li:after  { color : ". esc_attr( $header_menu_font_color['color'] ) ."; }";
	}
	if($header_menu_font_color['hover']){
		echo "header .header-wrapper nav ul>li>a:hover, header .header-wrapper nav ul>li> .sub-menu li>a:hover { color : ". esc_attr( $header_menu_font_color['hover'] ) ."; }";
	}
endif;

// active color
$header_active_menu_color = get_theme_mod('header_active_menu_font_color');
if( $header_active_menu_color ) :
	if($header_active_menu_color) {
		echo "header .header-wrapper nav ul>li.current-menu-item a, header .header-wrapper nav ul>li.current_page_item a { color : ". esc_attr( $header_active_menu_color ) ."; }";
		echo "header .header-wrapper nav ul>li>a:after { background-color : ". esc_attr( $header_active_menu_color ) ."; }";
	}
endif;

// toggle button color
$header_menu_mobile_toggle_button_color = get_theme_mod( 'header_menu_toggle_button_color', '#000000' );
$header_menu_mobile_toggle_button_background_color = get_theme_mod( 'header_menu_toggle_background_color', '#ffffff' );

echo "header #menu-toggle { color : ". esc_attr( $header_menu_mobile_toggle_button_color ) ."; background-color: ". esc_attr( $header_menu_mobile_toggle_button_background_color )."; }";
echo "body header nav.toggled, body header nav.toggled ul>li > .sub-menu.isShow, body header nav.toggled ul>li > .children.isShow   { background-color: ".esc_attr($header_menu_mobile_toggle_button_background_color)."}";