<?php
/**
 * Template part for displaying posts - archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package The Styled Blog
 */
$archive_post_comments_num_option = get_theme_mod( 'archive_post_comments_num_option', true );
$archive_content_type = get_theme_mod( 'archive_content_type', 'excerpt' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-card -center' ); ?> 
	<?php if( has_post_thumbnail() && get_post_format() === 'image' ) echo 'style="background: url( ' .esc_url( get_the_post_thumbnail_url() ). ' )"'; ?>>
	<div class="post-inner-wrapper">
		<?php the_styled_blog_get_thumb_html_by_post_format(); ?>
		<div class="card__content">
			<?php
				$archive_post_categories_option = get_theme_mod( 'archive_post_categories_option', true );
				if( $archive_post_categories_option ) :
					$post_categories = get_the_category();
					foreach( $post_categories as $post_cat ) :
						echo '<h5 class="card__content-category post-cat-' .esc_attr( ( $post_cat->term_id ) ). '"><a href="' .esc_url( get_category_link( $post_cat->term_id ) ). '">' .esc_html( $post_cat->name ). '</a></h5>';
					endforeach;
				endif;
			?>
			<?php
				the_title( '<a href="' . esc_url( get_permalink() ) . '" class="card__content-title" rel="bookmark">', '</a>' );
			?>
			<div class="card__content-info">
				<?php
					the_styled_blog_posted_on();
					
					if( $archive_post_comments_num_option ) :
				?>
						<div class="info__comment"><i class="far fa-comment"></i>
							<p><?php echo absint( get_comments_number() ); ?></p>
						</div>
				<?php endif; ?>
			</div>
			<?php
				// social share html
				if( get_theme_mod( 'archive_social_share_position', 'after_content' ) === 'before_content' ) the_styled_blog_social_share_html();

				if( $archive_content_type != 'none' ) : ?>
					<div class="entry-content">
						<?php
							switch( $archive_content_type ) {
								case 'content' : the_content();
											break;
								case 'excerpt' : the_excerpt();
											break;
								default: break;
							}
						?>
					</div><!-- .entry-content -->
			<?php
				endif; ?>

				<div class="share_readmore">
					<?php
					$archive_read_more_option = get_theme_mod( 'archive_read_more_option', false );
					if( $archive_read_more_option ) :
						$archive_read_more_text = get_theme_mod( 'archive_read_more_text', esc_html__( 'Read more', 'the-styled-blog' ) );
						echo '<div class="card__button"><a href="' .esc_url( get_the_permalink() ). '">' .esc_html( $archive_read_more_text ). '</a></div>';
					endif;

					// social share html
					if( get_theme_mod( 'archive_social_share_position', 'after_content' ) === 'after_content' ) the_styled_blog_social_share_html();
					
					?>
				</div>
		</div><!-- . -->
	</div>
	<?php
		/**
		 * hook - the_styled_blog_archive_post_footer_hook
		 * 
		 * @since 1.0.0
		 */
			do_action( 'the_styled_blog_archive_post_footer_hook' );
	?>
</article><!-- #post-<?php the_ID(); ?> -->
