<?php
/**
 * Slider Template Part - Layout One
 * 
 * @package The Styled Blog
 * @since 1.0.0
 */
$postCategory = json_decode( $args->category );
$postCount = $args->count;
$no_thumb = $args->no_thumb;
$categoryOption = $args->categoryOption;
$titleOption = $args->titleOption;
$dateOption = $args->dateOption;
$commentOption = $args->commentOption;
$sliderFade = ( !$args->sliderFade ) ? 0 : 1;
$sliderSpeed = $args->sliderSpeed;
$orderArray = explode( '-', $args->order );
$sliderLoop = false;
$sliderAttr = 'data-fade=' .esc_attr( $sliderFade ). ' data-speed=' .absint( $sliderSpeed );
?>
<div class="container-max no-gutter">
    <div class="blog-ocean__slider layout-one" <?php echo esc_attr( $sliderAttr ); ?>>
        <?php
            $banner_args = array(
                'order' => esc_html( $orderArray[1] ),
                'orderby'   => esc_html( $orderArray[0] ),
                'category_name' => implode( ',', $postCategory ),
                'posts_per_page'    => esc_html( $postCount )
            );
            if( $no_thumb ) $banner_args['meta_query'] = array(array('key' => '_thumbnail_id','compare' => 'EXISTS'));
            $banner_slider_posts = new WP_Query( $banner_args );
            if( $banner_slider_posts->have_posts() ) :
                while( $banner_slider_posts->have_posts() ) : $banner_slider_posts->the_post();
                $blockCategories = get_the_category();
                $next_post  = get_next_post();
                $next_post_id = ( isset( $banner_slider_posts->posts[$banner_slider_posts->current_post+1] ) ) ? $banner_slider_posts->posts[$banner_slider_posts->current_post+1]->ID : false;
                if( $sliderLoop === 1 && ! $next_post_id ) $next_post_id = $banner_slider_posts->posts[0]->ID;
            ?>
                    <div class="blog-ocean__slider__item">
                        <div class="slider-item__image">
                            <?php if( has_post_thumbnail() ) : 
                                the_post_thumbnail('full'); 
                            endif;
                            ?>
                        </div>
                        <div class="slider-item__content">
                            <div class="post-card -center -theme--blue">
                                <div class="card__content">
                                    <?php
                                        if( $categoryOption ) {
                                            foreach( $blockCategories as $category ) :
                                        ?>
                                                <h5 class="card__content-category post-cat-<?php echo esc_attr( ( $category->term_id ) ); ?>"><a href="<?php echo esc_url( get_term_link( $category->term_id ) ); ?>"><?php echo esc_html( $category->name ); ?></a></h5>
                                        <?php
                                            endforeach;
                                        }
                                        if( $titleOption ) {
                                    ?>
                                            <a class="card__content-title" href="<?php the_permalink(); ?>"><?php echo wp_kses_post( the_styled_blog_wrap_last_word( get_the_title() ) ); ?></a>
                                    <?php } ?>
                                    <div class="card__content-info">
                                        <?php if( $dateOption ) { ?>
                                                <div class="info__time"><i class="far fa-clock"></i>
                                                    <p><?php echo get_the_date(); ?></p>
                                                </div>
                                        <?php }
                                        
                                            if( $commentOption ) {
                                        ?>
                                                <div class="info__comment"><i class="far fa-comment"></i>
                                                    <p><?php echo absint( get_comments_number() ); ?></p>
                                                </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                            if( $next_post_id ) :
                                ?>
                                <div class="banner-next-post">
                                    <div class="post-top-wrap">
                                        <span class="post-count"><?php echo absint( sprintf("%02d", $banner_slider_posts->current_post+1) ); ?></span>
                                        <h2 class="card__content-title"><?php echo esc_html( get_the_title( $next_post_id ) ); ?></h2>
                                    </div>
                                    <img src="<?php echo esc_url( get_the_post_thumbnail_url( $next_post_id ) ); ?>" loading="<?php the_styled_blog_lazy_load_value(); ?>"/>
                                </div>
                                <?php
                            endif;
                        ?>
                    </div>
        <?php
                endwhile;
            endif;
        ?>
    </div>
</div>