<?php
/**
 * Post Column Template Part - Layout Two
 * 
 * @package The Styled Blog
 * @since 1.0.0
 */
$columnTitle = $args['columnTitle'];
$postCategory = $args['category'];
$postCount = $args['count'];
?>
<div class="col-12 col-md-6 col-lg-4">
    <div class="footer-col -feature-post">
        <?php if( $columnTitle ) { ?>
            <div class="center-line-title"> 
                <h5><?php echo esc_html( $columnTitle ); ?></h5>
            </div>
        <?php } ?>
            <?php
                $posts_column_post_args = array(
                    'post_type'     => 'post',
                    'posts_per_page' => esc_attr( $postCount ),
                    'post_status'   => 'publish'
                );
                if( !empty( $postCategory ) ) {
                    $posts_column_post_args['category_name'] = $postCategory;
                }
                $posts_column_post_query = new WP_Query( $posts_column_post_args );
                if( ! $posts_column_post_query->have_posts() ) {
                    esc_html_e( 'No posts found', 'the-styled-blog' );
                }
                    while( $posts_column_post_query->have_posts() ) : $posts_column_post_query->the_post();
                        $blockCategories = get_the_category( get_the_ID() );
                ?>
                        <div class="post-card-category trending-post">
                            <a class="trending-post_image card__category" href="<?php the_permalink(); ?>" class="card__cover">
                                <?php if( has_post_thumbnail() ) : ?>
                                    <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>" loading="<?php the_styled_blog_lazy_load_value(); ?>"/>
                                <?php endif; ?>
                            </a>
                            <div class="trending-post_content">
                                <?php
                                    foreach( $blockCategories as $category ) :
                                ?>
                                        <h5 class="post-cat-<?php echo esc_attr( ( $category->term_id ) ); ?>"><a href="<?php echo esc_url( get_term_link( $category->term_id ) ); ?>"><?php echo esc_html( $category->name ); ?></a></h5>
                                <?php
                                    endforeach;
                                ?>
                                <a class="card__content-title" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                <div class="info__time"><i class="far fa-clock"></i>
                                    <p><?php echo get_the_date(); ?></p>
                                </div>
                            </div>
                        </div>
            <?php
                endwhile;
            ?>
    </div>
</div>